<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">
    <div class="panel #{styleClass == null ? 'panel-default' : styleClass}">
        <div class="panel-body #{bodyStyleClass == null ? '' : bodyStyleClass}">
            <ui:insert/>
        </div>
        <div class="panel-footer #{footerStyleClass == null ? '' : footerStyleClass}">
            <ui:insert name="panel_footer"/>
        </div>
    </div>
</ui:composition>